Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getApplianceFirewallInboundFirewallRules({
networkId: "string",
});
export const merakiNetworksApplianceFirewallInboundFirewallRulesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_appliance_firewall_inbound_firewall_rules(network_id="string")
pulumi.export("merakiNetworksApplianceFirewallInboundFirewallRulesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupApplianceFirewallInboundFirewallRules(ctx, &networks.LookupApplianceFirewallInboundFirewallRulesArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksApplianceFirewallInboundFirewallRulesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetApplianceFirewallInboundFirewallRules.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksApplianceFirewallInboundFirewallRulesExample"] = example.Apply(getApplianceFirewallInboundFirewallRulesResult => getApplianceFirewallInboundFirewallRulesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetApplianceFirewallInboundFirewallRulesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getApplianceFirewallInboundFirewallRules(GetApplianceFirewallInboundFirewallRulesArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksApplianceFirewallInboundFirewallRulesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getApplianceFirewallInboundFirewallRules
arguments:
networkId: string
outputs:
merakiNetworksApplianceFirewallInboundFirewallRulesExample: ${example.item}
Using getApplianceFirewallInboundFirewallRules
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplianceFirewallInboundFirewallRules(args: GetApplianceFirewallInboundFirewallRulesArgs, opts?: InvokeOptions): Promise<GetApplianceFirewallInboundFirewallRulesResult>
function getApplianceFirewallInboundFirewallRulesOutput(args: GetApplianceFirewallInboundFirewallRulesOutputArgs, opts?: InvokeOptions): Output<GetApplianceFirewallInboundFirewallRulesResult>def get_appliance_firewall_inbound_firewall_rules(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApplianceFirewallInboundFirewallRulesResult
def get_appliance_firewall_inbound_firewall_rules_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplianceFirewallInboundFirewallRulesResult]func LookupApplianceFirewallInboundFirewallRules(ctx *Context, args *LookupApplianceFirewallInboundFirewallRulesArgs, opts ...InvokeOption) (*LookupApplianceFirewallInboundFirewallRulesResult, error)
func LookupApplianceFirewallInboundFirewallRulesOutput(ctx *Context, args *LookupApplianceFirewallInboundFirewallRulesOutputArgs, opts ...InvokeOption) LookupApplianceFirewallInboundFirewallRulesResultOutput> Note: This function is named LookupApplianceFirewallInboundFirewallRules in the Go SDK.
public static class GetApplianceFirewallInboundFirewallRules
{
public static Task<GetApplianceFirewallInboundFirewallRulesResult> InvokeAsync(GetApplianceFirewallInboundFirewallRulesArgs args, InvokeOptions? opts = null)
public static Output<GetApplianceFirewallInboundFirewallRulesResult> Invoke(GetApplianceFirewallInboundFirewallRulesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplianceFirewallInboundFirewallRulesResult> getApplianceFirewallInboundFirewallRules(GetApplianceFirewallInboundFirewallRulesArgs args, InvokeOptions options)
public static Output<GetApplianceFirewallInboundFirewallRulesResult> getApplianceFirewallInboundFirewallRules(GetApplianceFirewallInboundFirewallRulesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getApplianceFirewallInboundFirewallRules:getApplianceFirewallInboundFirewallRules
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getApplianceFirewallInboundFirewallRules Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Firewall Inbound Firewall Rules Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Firewall Inbound Firewall Rules Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Firewall Inbound Firewall Rules Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Firewall Inbound Firewall Rules Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Firewall Inbound Firewall Rules Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetApplianceFirewallInboundFirewallRulesItem
- Rules
List<Get
Appliance Firewall Inbound Firewall Rules Item Rule> - An ordered array of the firewall rules (not including the default rule)
- Syslog
Default boolRule - Log the special default rule (boolean value - enable only if you've configured a syslog server) (optional)
- Rules
[]Get
Appliance Firewall Inbound Firewall Rules Item Rule - An ordered array of the firewall rules (not including the default rule)
- Syslog
Default boolRule - Log the special default rule (boolean value - enable only if you've configured a syslog server) (optional)
- rules
List<Get
Appliance Firewall Inbound Firewall Rules Item Rule> - An ordered array of the firewall rules (not including the default rule)
- syslog
Default BooleanRule - Log the special default rule (boolean value - enable only if you've configured a syslog server) (optional)
- rules
Get
Appliance Firewall Inbound Firewall Rules Item Rule[] - An ordered array of the firewall rules (not including the default rule)
- syslog
Default booleanRule - Log the special default rule (boolean value - enable only if you've configured a syslog server) (optional)
- rules
Sequence[Get
Appliance Firewall Inbound Firewall Rules Item Rule] - An ordered array of the firewall rules (not including the default rule)
- syslog_
default_ boolrule - Log the special default rule (boolean value - enable only if you've configured a syslog server) (optional)
- rules List<Property Map>
- An ordered array of the firewall rules (not including the default rule)
- syslog
Default BooleanRule - Log the special default rule (boolean value - enable only if you've configured a syslog server) (optional)
GetApplianceFirewallInboundFirewallRulesItemRule
- Comment string
- Description of the rule (optional)
- Dest
Cidr string - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- Dest
Port string - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- Policy string
- 'allow' or 'deny' traffic specified by this rule
- Protocol string
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- Src
Cidr string - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- Src
Port string - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- Syslog
Enabled bool - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- Comment string
- Description of the rule (optional)
- Dest
Cidr string - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- Dest
Port string - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- Policy string
- 'allow' or 'deny' traffic specified by this rule
- Protocol string
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- Src
Cidr string - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- Src
Port string - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- Syslog
Enabled bool - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment String
- Description of the rule (optional)
- dest
Cidr String - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest
Port String - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy String
- 'allow' or 'deny' traffic specified by this rule
- protocol String
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src
Cidr String - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src
Port String - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog
Enabled Boolean - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment string
- Description of the rule (optional)
- dest
Cidr string - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest
Port string - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy string
- 'allow' or 'deny' traffic specified by this rule
- protocol string
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src
Cidr string - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src
Port string - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog
Enabled boolean - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment str
- Description of the rule (optional)
- dest_
cidr str - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest_
port str - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy str
- 'allow' or 'deny' traffic specified by this rule
- protocol str
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src_
cidr str - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src_
port str - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog_
enabled bool - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
- comment String
- Description of the rule (optional)
- dest
Cidr String - Comma-separated list of destination IP address(es) (in IP or CIDR notation), fully-qualified domain names (FQDN) or 'any'
- dest
Port String - Comma-separated list of destination port(s) (integer in the range 1-65535), or 'any'
- policy String
- 'allow' or 'deny' traffic specified by this rule
- protocol String
- The type of protocol (must be 'tcp', 'udp', 'icmp', 'icmp6' or 'any')
- src
Cidr String - Comma-separated list of source IP address(es) (in IP or CIDR notation), or 'any' (note: FQDN not supported for source addresses)
- src
Port String - Comma-separated list of source port(s) (integer in the range 1-65535), or 'any'
- syslog
Enabled Boolean - Log this rule to syslog (true or false, boolean value) - only applicable if a syslog has been configured (optional)
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
